Bug 1310869 - Review Request: python-zanata2fedmsg - A web app bridging zanata webhooks to fedmsg
Review Request: python-zanata2fedmsg - A web app bridging zanata webhooks to ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 15:45 EST by Ralph Bean
Modified: 2016-02-29 11:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 11:37:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2016-02-22 15:45:30 EST
Spec URL: http://ralph.fedorapeople.org//python-zanata2fedmsg.spec
SRPM URL: http://ralph.fedorapeople.org//python-zanata2fedmsg-0.2-1.fc23.src.rpm

Description:
A web app bridging zanata webhooks to fedmsg
Comment 1 Ralph Bean 2016-02-22 15:45:35 EST
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=13097899
Comment 2 Parag AN(पराग) 2016-02-26 00:41:38 EST
Mostly looks okay except License tag.
setup.py and zanata2fedmsg.py says GPLv3+ whereas COPYING and specfile says GPLv2+. Please fix the license in spec to GPLv3+ and COPYING to provide GPLv3+ text.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 6 files have unknown license. Detailed
     output of licensecheck in /home/parag/1310869-python-
     zanata2fedmsg/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5/site-packages/__pycache__, /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5/site-packages/__pycache__,
     /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-zanata2fedmsg , python3-zanata2fedmsg
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-zanata2fedmsg-0.2-1.fc24.noarch.rpm
          python3-zanata2fedmsg-0.2-1.fc24.noarch.rpm
          python-zanata2fedmsg-0.2-1.fc24.src.rpm
python2-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) zanata -> Tarzan
python2-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) webhooks -> web hooks, web-hooks, billhooks
python2-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) fedmsg -> Feds
python2-zanata2fedmsg.noarch: W: spelling-error %description -l en_US zanata -> Tarzan
python2-zanata2fedmsg.noarch: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
python2-zanata2fedmsg.noarch: W: spelling-error %description -l en_US fedmsg -> Feds
python3-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) zanata -> Tarzan
python3-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) webhooks -> web hooks, web-hooks, billhooks
python3-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) fedmsg -> Feds
python3-zanata2fedmsg.noarch: W: spelling-error %description -l en_US zanata -> Tarzan
python3-zanata2fedmsg.noarch: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
python3-zanata2fedmsg.noarch: W: spelling-error %description -l en_US fedmsg -> Feds
python-zanata2fedmsg.src: W: spelling-error Summary(en_US) zanata -> Tarzan
python-zanata2fedmsg.src: W: spelling-error Summary(en_US) webhooks -> web hooks, web-hooks, billhooks
python-zanata2fedmsg.src: W: spelling-error Summary(en_US) fedmsg -> Feds
python-zanata2fedmsg.src: W: spelling-error %description -l en_US zanata -> Tarzan
python-zanata2fedmsg.src: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
python-zanata2fedmsg.src: W: spelling-error %description -l en_US fedmsg -> Feds
3 packages and 0 specfiles checked; 0 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
python3-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) zanata -> Tarzan
python3-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) webhooks -> web hooks, web-hooks, billhooks
python3-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) fedmsg -> Feds
python3-zanata2fedmsg.noarch: W: spelling-error %description -l en_US zanata -> Tarzan
python3-zanata2fedmsg.noarch: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
python3-zanata2fedmsg.noarch: W: spelling-error %description -l en_US fedmsg -> Feds
python2-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) zanata -> Tarzan
python2-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) webhooks -> web hooks, web-hooks, billhooks
python2-zanata2fedmsg.noarch: W: spelling-error Summary(en_US) fedmsg -> Feds
python2-zanata2fedmsg.noarch: W: spelling-error %description -l en_US zanata -> Tarzan
python2-zanata2fedmsg.noarch: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
python2-zanata2fedmsg.noarch: W: spelling-error %description -l en_US fedmsg -> Feds
2 packages and 0 specfiles checked; 0 errors, 12 warnings.



Requires
--------
python3-zanata2fedmsg (rpmlib, GLIBC filtered):
    python(abi)
    python3-fedmsg-core
    python3-flask

python2-zanata2fedmsg (rpmlib, GLIBC filtered):
    python(abi)
    python-fedmsg-core
    python-flask



Provides
--------
python3-zanata2fedmsg:
    python3-zanata2fedmsg

python2-zanata2fedmsg:
    python-zanata2fedmsg
    python2-zanata2fedmsg



Source checksums
----------------
https://pypi.python.org/packages/source/z/zanata2fedmsg/zanata2fedmsg-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 5749c67bc294f2a954fbedbbd1b767219611fde2e9322ffb0b1624434b6f66bf
  CHECKSUM(SHA256) upstream package : 5749c67bc294f2a954fbedbbd1b767219611fde2e9322ffb0b1624434b6f66bf


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1310869 -m fedora-rawhide-x86_64

APPROVED.
Comment 3 Ralph Bean 2016-02-26 15:00:59 EST
Will fix upstream.  Thanks pnemade!
Comment 4 Gwyn Ciesla 2016-02-28 19:03:13 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-zanata2fedmsg
Comment 5 Ralph Bean 2016-02-29 11:37:03 EST
Bodhi updates submitted:  http://bodhi.fedoraproject.org/updates/python-zanata2fedmsg

Note You need to log in before you can comment on or make changes to this bug.